PaidGoods

Check ownership, CNAME and HTTPS now

POST
/v1/stores/{storeId}/domains/{domainId}/check

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
domainId*string

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/domains/string/check"
{  "domainId": "8a0b02c3-fdd8-452e-bc6e-ef07a335ec7e",  "verified": true,  "tlsState": "string",  "cname": {    "expected": "string",    "found": [      "string"    ],    "ok": true  },  "edge": {    "connected": true,    "status": "string",    "sslStatus": "string",    "records": [      {        "type": "string",        "name": "string",        "value": "string",        "purpose": "string"      }    ],    "errors": [      "string"    ]  },  "lastCheckError": "string"}